Skip to main content
POST
https://api.tensormesh.ai
/
v1
/
users
/
accept-tos
Accept Tos
curl --request POST \
  --url https://api.tensormesh.ai/v1/users/accept-tos \
  --header 'Authorization: Bearer <token>'
{
  "user": {
    "id": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "displayName": "<string>",
    "userEmail": "<string>",
    "authProvider": "AUTH_PROVIDER_UNSPECIFIED",
    "authProviderId": "<string>",
    "avatarUrl": "<string>",
    "stripeCusId": "<string>",
    "userRole": "USER_ROLE_UNSPECIFIED",
    "apiKey": "<string>",
    "company": "<string>",
    "tosAcceptedAt": "2023-11-07T05:31:56Z",
    "surveyCompletedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

The unique ID of the user accepting terms.

Response

A successful response.

AcceptTosResponse is the response after user terms acceptance.

user
object

User represents a user profile in the system.